(function ($) {
  Drupal.behaviors.linkWarningOnClick = {
    attach: function (context, settings) {
      $('a[target="_blank"]').click(function (event) {
        // Prevent the default link behavior.
        event.preventDefault();
        // Show a warning message.
        alert("This link opens in a new window.");
        // Navigate to the link URL after showing the message.
        window.open($(this).attr("href"), "_blank");
      });
    },
  };
})(jQuery);
